Page MenuHomePhabricator

Plan to migrate everything to Phabricator
Closed, InvalidPublic

Description

Part of https://www.mediawiki.org/wiki/Phabricator/Plan

The current plan (in progress):

  1. The migration of Bugzilla and RT are required for Day 1.
  2. There is no mass migration from Trello and Mingle projects. Some teams are more interested than others in total / partial migration. One idea is to write the Bugzilla migration script with an abstraction layer that could be fine tuned for RT, Mingle, Trello.
  3. The migration of Gerrit and Jenkins is out of scope for Day 1.

Details

Reference
fl37

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:20 AM
flimport set Reference to fl37.

gpaumier wrote on 2014-04-09 15:34:08 (UTC)

Content moved from the RfC page (specifics of ticket migration should go into T39: Set up permissions for Phabricator and T63: Phabricator requires a "real name" to register):

Potential sequences of migration:

  • Speed: We could push to quickly have the new tool in place, given the limitations of our existing tools, and afterwards add missing functionality that we consider a requirement.
  • Functional completeness: We could first make the prefered new tool provide nearly all functionality we consider required, and then migrate to the new tool.
  • Later migration of tickets: We could start a fresh instance of the new tool with a higher number (100.000) to give us enough buffer to import Bugzilla and/or other tickets at a later date. We close existing infrastructure tools for ticket creation so new tickets are only handled in the new tool. In any case, we should not add yet another tool to the mix while keeping the current usage of all our existing tools.

thiemowmde wrote on 2014-04-29 14:20:45 (UTC)

I really think we need Bugzilla, Gerrit and possibly GitHub integration for a few months. You can't just stop the old tools and copy everything to Phabricator. Migration needs time.

See my full post on mediawiki.org.

qgil wrote on 2014-04-30 16:17:53 (UTC)

Our current thinking is that an official Wikimedia Phabricator would open at least with all Bugzilla reports imported as Maniphest tasks. On the same day, Bugzilla would work only in read-only mode. The rest is all negotiable, and probably more akin to progressive migrations.

The full Bugziilla move on day 1 is the only way to assure a complete import of Bugzilla data to Phabricator. We cannot have two moving targets hoping to keep them in sync. Also, as disruptive as closing Bugzilla during a weekend sounds, the alternative of sending users to Bugzilla for some bugs and to Maniphest for some other bugs would be even worse. If you want to discuss the specific case of the Bugzilla migration, please do it at T39: Set up permissions for Phabricator.

qgil wrote on 2014-05-13 23:12:18 (UTC)

The general migration plan for Day 1 has been agreed and is documented at https://www.mediawiki.org/wiki/Phabricator/Plan#Migration_plan

The details about the migration of Bugzilla, RT, Mingle, and Trello are discussed in their tasks. Gerrit and Jenkins plans are not defined yet, but they fall out of the scope of Day 1.

Therefore, the overall plan is resolved for Day 1. Editing priorities etc accordingly.

qgil wrote on 2014-07-09 16:54:34 (UTC)

The plan keeps evolving -- for good. https://legalpad.wikimedia.org/ has been deployed as a single-purpose instance. It will be merged to the main Wikimedia Phabricator, probably by Day 1.

The next step at https://www.mediawiki.org/wiki/Phabricator/Plan#Migration_plan is to set up an instance in production with Wikimedia SUL enabled. T314: "Invalid JWT signature from /identify" trying to log in is done and being tested in this Labs instance as well as the Legalpad site. @Rush has been playing with ways for claiming users identities in other systems by verifying the email addresses related to them. Andre and Rush still have to decide the exact blockers for the deployment of this instance, watch for details at T294: Super epic: Refactor moveToStep into a smaller function, make controllers for each step.

Qgil claimed this task.Oct 9 2014, 2:40 PM
Qgil set Security to None.
Qgil removed Qgil as the assignee of this task.Nov 3 2014, 12:52 PM
Qgil added a subscriber: Qgil.

is this ticket usually tracking things or can we close it? I don't think anyone is referencing it.

Qgil added a comment.Dec 30 2014, 9:57 PM

It's value is basically the Blocked By tasks. Maybe the original function of this task is now better covered by https://www.mediawiki.org/wiki/Phabricator#Migration_timeline

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Dec 30 2014, 9:57 PM

since T18 is going to be a ways out and mingle and trello is a collection of teams doing their own thing I think this task is not really tracking anything useful now (especially considering the wiki)

emailbot mentioned this in Unknown Object (Task).Mar 31 2016, 9:59 PM

Mentioned in SAL (#wikimedia-analytics) [2017-02-01T17:27:06Z] <joal> Restarting 2 webrequest-load text jobs that failed during NM restart (2016-02-01T11:00 and T13:00)